<script>
import ReSidebar from "@/components/ReSidebar.vue";
const requireComponent = require.context(
  "@/components/airConditioner",
  false,
  /\.vue$/
);
const cmps = {};
const filterCmps = []; //需要排除引用文件使用

requireComponent.keys().forEach((fileName) => {
  console.log(fileName);
  let cmp = requireComponent(fileName).default;
  !filterCmps.includes(fileName) && (cmps[cmp.name] = cmp);
});
console.log(cmps);
export default {
  name: "AirConditioner",
  data() {
    return {
      activeIndex: 0,
      sideList: [
        {
          name: "空调",
          icon: "air_clod",
        },
        {
          name: "通风加热",
          icon: "air_left_2",
        },
        {
          name: "绿净",
          icon: "air_left_3",
        },
        {
          name: "空调设置",
          icon: "air_left_4",
        },
      ],
    };
  },
  components: {
    ReSidebar,
    ...cmps,
  },
  mounted() {
    console.log(this.$route.query, "传值参数");
    this.activeIndex = Number(this.$route.query.activeId) || 0;
  },
  methods: {
    handleSideClick(item, index) {
      if (index == 3) {
        this.$router.push({
          path: "/setting",
          query: { activeId: 3, subActiveId: 4 },
        });
      } else {
        this.activeIndex = index;
        this.tabsTypeMode = item.icon;
      }
    },
  },
};
</script>

<template>
  <div
    class="airConditioner"
    :style="{
      backgroundImage:
        'url(' +
        require(`../assets/images/airConditioner/air_bk${
          activeIndex + 1
        }.webp`) +
        ')',
    }"
  >
    <!-- <img src="../assets/images/airConditioner/air_bk.webp" alt="" srcset="" /> -->
    <div class="airConditioner-left">
      <div class="airConditioner-left-warp">
        <ReSidebar
          :side-bar-list="sideList"
          @click="handleSideClick"
          :active-index="activeIndex"
        />
      </div>
    </div>
    <div class="airConditioner-right">
      <Conditioner v-if="activeIndex == 0"></Conditioner>
      <Ventilation v-if="activeIndex == 1"></Ventilation>
      <Lvjing v-if="activeIndex == 2"></Lvjing>
    </div>
  </div>
</template>

<style scoped lang="scss">
.airConditioner {
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  padding-top: 46px;
  padding-bottom: 86px;
  box-sizing: border-box;
  background-image: url(../assets/images/airConditioner/air_bk2.webp);
  background-position: -16px -26px;
  background-size: 1936px 1125px;
  // background: saddlebrown;
  display: flex;
  img {
    height: 100%;
    width: 100%;
  }
}
.airConditioner-left {
  width: 230px;
  height: 100%;
  display: flex;
  align-items: center;
  color: #333;
  .airConditioner-left-warp {
    width: 100%;
    height: 779px;
    background: linear-gradient(
      182deg,
      #f7f9fb 67%,
      rgba(247, 249, 251, 0) 103%,
      rgba(247, 249, 251, 0) 103%
    );
  }
}
.airConditioner-right {
  width: calc(100% - 230px);
  height: 100%;
  padding: 42px 24px 43px 40px;
  box-sizing: border-box;
  position: relative;
}
</style>
